/**
 *	Provides base helper methods for views and controllers
 */
function BaseHelper(scope){
	this.resource_string=function(){
		var t=new Array();
		
		for(i=0;i<arguments.length;i++){
			t.push(arguments[i]);
		}

		var key=t.shift();

		var str=(gDictionary[key]!=null)?gDictionary[key]:key;
		$.each(t,function(i,n){
			str=str.replace("$"+(i+1),""+n);
		});

		return str;
	};
}